Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.security
Enum Access

    java.lang.Object
      java.lang.Enum<Access>
          com.ibm.workplace.wcm.api.security.Access

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Access>

    public enum Access

extends java.lang.Enum<Access>

Access is a simple enum defining the levels of AccessControl defined by PAC

Since:
  7.0

Enum Constant Summary
`ADMINISTRATOR` Administrator access level.
`APPROVER` Deprecated. since 8.5 The 'Approver' role has been split into the 'Reviewer' and 'Draft Creator' roles.
`CONTRIBUTOR` Contributer access level allows read access and creation of new WCM data
`DRAFT_CREATOR` Draft creator access is required to create a draft and restart a workflow.
`EDITOR` Editor access level allows read and write access to WCM data
`MANAGER` Manager access level allows read, write and delete access to WCM data
`MARKUP_EDITOR` Markup editor access level.
`PRIVILEGED_USER` Privileged User access level.
`REVIEWER` Reviewer access is required to progress and reverse an item in its workflow.
`SECURITY_ADMINISTRATOR` Security administrator access level allows access control changes to `PortalPage`.
`USER` User access level allows only read access to WCM data

Method Summary
`int` | `getValue()` Get the integer equivalence of this Access enum
`static Access` | `lookup(int p_value)` Looks up the Access object whose integer value equals to the given value.
`static Access` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Access[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER

    public static final Access USER

  User access level allows only read access to WCM data

### CONTRIBUTOR

    public static final Access CONTRIBUTOR

  Contributer access level allows read access and creation of new WCM data

### EDITOR

    public static final Access EDITOR

  Editor access level allows read and write access to WCM data

### MANAGER

    public static final Access MANAGER

  Manager access level allows read, write and delete access to WCM data

### APPROVER

    public static final Access APPROVER

  Deprecated. since 8.5 The 'Approver' role has been split into the 'Reviewer' and 'Draft Creator' roles.
  Approver access level allows read, approve, decline access to WCM data

### REVIEWER

    public static final Access REVIEWER

  Reviewer access is required to progress and reverse an item in its workflow.

  Since:
    8.5

### DRAFT_CREATOR

    public static final Access DRAFT_CREATOR

  Draft creator access is required to create a draft and restart a workflow.

  Since:
    8.5

### PRIVILEGED_USER

    public static final Access PRIVILEGED_USER

  Privileged User access level. Can be applied on `PortalPage`.

  Since:
    8.0

### MARKUP_EDITOR

    public static final Access MARKUP_EDITOR

  Markup editor access level. Can be applied on `PortalPage`.

  Since:
    8.0

### SECURITY_ADMINISTRATOR

    public static final Access SECURITY_ADMINISTRATOR

  Security administrator access level allows access control changes to `PortalPage`.

  Since:
    8.0

### ADMINISTRATOR

    public static final Access ADMINISTRATOR

  Administrator access level. Can be applied on `PortalPage`.

  Since:
    8.0

Method Detail

### values

    public static Access[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Access c : Access.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Access valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  Get the integer equivalence of this Access enum

  Returns:
    the integer equivalence of this Access

### lookup

    public static Access lookup(int p_value)

  Looks up the Access object whose integer value equals to the given value.

  Parameters:
    `p_value` - the integer value of the Access object to look for.
  Returns:
    the corresponding Access object, or null if none exists.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD